Bug 74661 - New port: chinese/scim-chewing
Summary: New port: chinese/scim-chewing
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-12-04 06:20 UTC by statue
Modified: 2005-01-22 17:45 UTC (History)
0 users

See Also:


Attachments
scim-chewing.shar (4.47 KB, text/plain)
2004-12-04 06:20 UTC, statue
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description statue 2004-12-04 06:20:27 UTC
SCIM Chinese Smart Pinyin input method

Smart Common Input Method platform, in short SCIM, is a development platform to
make Input Method developers live easier. It has very clear architecture and
very simple programming interface.

WWW: http://scim.freedesktop.org
Comment 1 statue 2004-12-04 07:54:09 UTC
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	scim-chewing/
#	scim-chewing/Makefile
#	scim-chewing/distinfo
#	scim-chewing/files
#	scim-chewing/pkg-descr
#	scim-chewing/pkg-message
#	scim-chewing/pkg-plist
#	scim-chewing/files/patch-src::Makefile.in
#
echo c - scim-chewing/
mkdir -p scim-chewing/ > /dev/null 2>&1
echo x - scim-chewing/Makefile
sed 's/^X//' >scim-chewing/Makefile << 'END-of-scim-chewing/Makefile'
X# New ports collection makefile for:    zh-scim-chewing
X# Date created:		4 Dec 2004
X# Whom:			Shen Chuan-Hsing <statue@freebsd.sinica.edu.tw>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	scim-chewing
XPORTVERSION=	0.0.1
XCATEGORIES=	chinese
XMASTER_SITES=	http://jserv.sayya.org/qooing/
XDISTNAME=	${PORTNAME}-20041130
X
XMAINTAINER=	ports@FreeBSD.Org
XCOMMENT=	SCIM chewing Chinese input methods
X
XBUILD_DEPENDS=	scim:${PORTSDIR}/textproc/scim
XLIB_DEPENDS=	chewing:${PORTSDIR}/chinese/libchewing
XRUN_DEPENDS=	${BUILD_DEPENDS}
X
XUSE_BZIP2=	yes
XUSE_X_PREFIX=	yes
XUSE_GMAKE=	yes
XGNU_CONFIGURE=	yes
X
X.include <bsd.port.pre.mk>
X
X.if ${OSVERSION} < 500035
XBROKEN=		scim-make-table is not available for 4.x
X.endif
X
Xpost-install:
X	@${CAT} ${PKGMESSAGE}
X	@${ECHO}
X	@${ECHO} To display this message again, type \`make post-install\'
X	@${ECHO}
X
X.include <bsd.port.post.mk>
END-of-scim-chewing/Makefile
echo x - scim-chewing/distinfo
sed 's/^X//' >scim-chewing/distinfo << 'END-of-scim-chewing/distinfo'
XMD5 (scim-chewing-20041130.tar.bz2) = 5eea8b592238dd8e5facad5f1c683e77
XSIZE (scim-chewing-20041130.tar.bz2) = 322434
END-of-scim-chewing/distinfo
echo c - scim-chewing/files
mkdir -p scim-chewing/files > /dev/null 2>&1
echo x - scim-chewing/pkg-descr
sed 's/^X//' >scim-chewing/pkg-descr << 'END-of-scim-chewing/pkg-descr'
XSCIM Chinese table based input methods: Array30, CangJie, Cantonese, Dayi,
XErbi, EZ, Jyutping, Simplex, Wubi, Ziranma, ZhuYin
X
XSmart Common Input Method platform, in short SCIM, is a development platform to
Xmake Input Method developers live easier. It has very clear architecture and
Xvery simple programming interface.
X
XWWW: http://scim.freedesktop.org
END-of-scim-chewing/pkg-descr
echo x - scim-chewing/pkg-message
sed 's/^X//' >scim-chewing/pkg-message << 'END-of-scim-chewing/pkg-message'
X--------------------------------------------------------------------
XRemember to set environment varible XMODIFIERS:
X
X  csh/tcsh: setenv XMODIFIERS @im=SCIM
X  sh/bash:  export XMODIFIERS='@im=SCIM'
X
Xand set LANG, LC_CTYPE to one of the following values:
X
X  Simplified Chinese:
X    zh_CN.UTF-8, zh_CN.GB18030, zh_CN.GBK, zh_CN.GB2312, zh_CN.eucCN
X
X  Traditional Chinese:
X    zh_TW.UTF-8, zh_TW.Big5
X    zh_HK.UTF-8, zh_HK.Big5-HKSCS 
X
XTo start the SCIM input method daemon, use command:
X
X  scim -d
X
X--------------------------------------------------------------------
END-of-scim-chewing/pkg-message
echo x - scim-chewing/pkg-plist
sed 's/^X//' >scim-chewing/pkg-plist << 'END-of-scim-chewing/pkg-plist'
Xlib/scim-1.0/1.0.0/IMEngine/chewing.a
Xlib/scim-1.0/1.0.0/IMEngine/chewing.la
Xlib/scim-1.0/1.0.0/IMEngine/chewing.so
Xlib/scim-1.0/1.0.0/SetupUI/chewing-imengine-setup.a
Xlib/scim-1.0/1.0.0/SetupUI/chewing-imengine-setup.la
Xlib/scim-1.0/1.0.0/SetupUI/chewing-imengine-setup.so
Xshare/scim/icons/scim-chewing.png
END-of-scim-chewing/pkg-plist
echo x - scim-chewing/files/patch-src::Makefile.in
sed 's/^X//' >scim-chewing/files/patch-src::Makefile.in << 'END-of-scim-chewing/files/patch-src::Makefile.in'
X--- src/Makefile.in.orig	Mon Nov 29 17:12:21 2004
X+++ src/Makefile.in	Sat Dec  4 15:16:30 2004
X@@ -238,11 +238,12 @@
X 	-I$(top_builddir) \
X 	-I$(top_srcdir) \
X 	-I$(top_srcdir)/src \
X+	-I/usr/local/include \
X 	-DSCIM_ICONDIR=\"@SCIM_ICONDIR@\" \
X 	-DSCIM_CHEWING_ICON_FILE=\"@SCIM_ICONDIR@/scim-chewing.png\"
X 
X noinst_HEADERS = scim_chewing_imengine.h scim_chewing_config_entry.h
X-moduledir = @SCIM_MODULEDIR@/IMEngine
X+moduledir = @SCIM_MODULEDIR@/1.0.0/IMEngine
X module_LTLIBRARIES = chewing.la
X chewing_la_SOURCES = scim_chewing_imengine.cpp
X chewing_la_CFLAGS = @SCIM_CFLAGS@ @SCIM_DEBUG_FLAGS@
X@@ -256,7 +257,7 @@
X 	@CHEWING_LIBS@
X 
X @SCIM_BUILD_SETUP_TRUE@SETUP_MODULE = chewing-imengine-setup.la
X-setupmoduledir = @SCIM_MODULEDIR@/SetupUI
X+setupmoduledir = @SCIM_MODULEDIR@/1.0.0/SetupUI
X setupmodule_LTLIBRARIES = $(SETUP_MODULE)
X chewing_imengine_setup_la_SOURCES = scim_chewing_imengine_setup.cpp
X chewing_imengine_setup_la_CFLAGS = \
END-of-scim-chewing/files/patch-src::Makefile.in
exit
Comment 2 Vanilla I. Shu freebsd_committer 2005-01-22 17:45:49 UTC
State Changed
From-To: open->closed

Committed, thanks.